require( "scripts/style.lua" );


TitleFont = {
  standardFont,
  40,
  BorderColor
};


DescripFont = {
  standardFont,
  22,
  BorderColor
};

ExpertFont = {
  standardFont,
  22,
  BorderColor
};


UpgradeButtonGraphics = {
	"buttons/decor_normal.png",
	"buttons/decor_highlight.png",
	"buttons/decor_highlight.png",
	"buttons/decor_highlight.png"
};	


MakeDialog
{
		
	Bitmap
	{
		name="upgrades",
		image="backgrounds/levelintro",
		x=kCenter,
		y=kCenter,
		
		Text
		{
			font = TitleFont,
			name = "decortitle",
			x=140,y=48,w=440,h=90,
			flags = kHAlignCenter + kVAlignTop,
			label = "decorupgrades"
		};
		
		Bitmap
		{
			x=115,y=95,
			name="line",
			image="ui/decor_lines",
		},
		
		Text
		{
			font = DescripFont,
			name = "upgradedescrip",
			x=140,y=320,w=440,h=90,
			flags = kHAlignCenter + kVAlignTop,
			label = ""
		};
		
		
		
		Bitmap
		{
			x=154,y=154,w=125,h=125,
			name="upgrade_1_icon",
			image="tbd",
		},
		
		Bitmap
		{
			x=304,y=154,w=125,h=125,
			name="upgrade_2_icon",
			image="tbd",
		},
		
		Text
		{
			font = DescripFont,
			name = "earnexpert",
			x=455,y=150,w=115,h=125,
			flags = kHAlignCenter + kVAlignCenter,
			label = "earnexpert",
			

		};
		
		
		Bitmap
		{
			x=454,y=154,w=125,h=125,
			name="upgrade_3_icon",
			image="tbd",
		},
		
		BeginGroup();
		
		
		Button
		{
			x = 150,
			y = 150,
			name = "upgrade_1",
			graphics = UpgradeButtonGraphics,
			type = kRadio,
			
			
		},
		
		
		
		Button
		{
			x = 300,
			y = 150,
			name = "upgrade_2",
			graphics = UpgradeButtonGraphics,
			type = kRadio,
			
		},
		
		
		Bitmap
		{
			x = 450,
			y = 150,
			name = "upgrade_3_frame",
			image = "buttons/decor_normal"
		},
		
		Button
		{
			x = 450,
			y = 150,
			name = "upgrade_3",
			graphics = UpgradeButtonGraphics,
			type = kRadio,
			
		},
		
		
		Button
		{
			x=270,
			y=480,
			font = StandardButtonFont,
			graphics = StandardButtonGraphics,
			name="ok",
			label="ok",
			type = kPush,
			command =
				function()
					SetRestaurantUpgrade();
					PopModal();
				end
		},
		
		
	},
	
}

SetupRestaurantUpgradeScreen();