require( "scripts/style.lua" );


MyFont = {
  standardFont,
  30,
  BorderColor
};

NameFont = {
  standardFont,
  18,
  MenuRedColor
};

local playername = gEnterNameValue;




MakeDialog
{
	Bitmap
	{ 
		image="backgrounds/popup",
		x=kCenter,
		y=kCenter,
		
		EnterNameWindow
		{
			x=0,y=0,w=kMax,h=kMax,
			Text
			{
				font = MyFont,
				name = "entername",
				x=0,y=120,w=kMax,h=30,
				flags = kHAlignCenter + kVAlignTop,
				label = "entername"
			};
			
			Bitmap
			{
				image="backgrounds/textfield.png",
				x=kCenter,
				y=180,
				
				TextEdit
				{
					font = NameFont,
					name = "nameedit",
					label = playername,
					x=5,y=6,w=kMax-5,h=kMax,
					length=12,
					ignore = kIllegalNameChars
					
				};
			};
				
			Button
			{
				x=50,
				y=250,
				font = StandardButtonFont,
				graphics = StandardButtonGraphics,
				name="enterok",
				label="ok",
				type = kPush,
				default = true,
				command = 
					function()
						if (IsNameInUse(GetLabel("nameedit"))) then
							DisplayDialog { 
								"scripts/ok.lua", 
								body ="nameinuse",
								title = ""
							};
							SetFocus( "nameedit" )
						else
							CloseWindow(GetLabel("nameedit"));
						end
					end
			},
			
			Button
			{
				x=250,
				y=250,
				font = StandardButtonFont,
				graphics = StandardButtonGraphics,
				name="entercancel",
				label="cancel",
				type = kPush,
				command = 
					function()
						CloseWindow(nil);
					end
			};
		}
		
	},
	
	SetFocus( "nameedit" )
}



