require( "scripts/style.lua" );



TitleFont = {
  standardFont,
  32,
  RedColor
};

HeaderFont = {
	standardFont,
	24,
	RedColor
};

HeaderStyle = {
	parent = DefaultStyle,
	font = HeaderFont,
	w = kMax,
	h = kMax,
	flags = kHAlignLeft + kVAlignTop,
};

DescripFont = {
	standardFont,
	16,
	BorderColor
};

Only2Font = {
	standardFont,
	16,
	RedColor
};

DescripStyle = {
	parent = DefaultStyle,
	font = DescripFont,
	w = 170,
	h = kMax,
	flags = kHAlignLeft + kVAlignTop,
};




MakeDialog
{
	Bitmap
	{
		name="backgroundimage",
		image="backgrounds/fullscreendialog",
		x=0,y=0,w=kMax,h=kMax,
		
		Bitmap
		{
			x = 60,
			y = 315,
			image = "help/help_dividerline"
		};
		
		Bitmap
		{
			x = 224,
			y = 95,
			image = "help/help2_takeorder"
		};
		
		AnimWindow
		{
			x = 290,
			y = 250,
			anim = "furniture/ticketstation.anm",
			frame = 1,
		};
		
		Bitmap
		{
			x = 565,
			y = 130,
			image = "help/help2_pickupfood"
		};
		
		Bitmap
		{
			x = 560,
			y = 210,
			image = "help/help2_servefood"
		};
		
		Bitmap
		{
			x = 124,
			y = 413,
			image = "help/help2_givecheck"
		};
		
		Bitmap
		{
			x = 390,
			y = 414,
			image = "help/help2_cleardishes"
		};
		
		AnimWindow
		{
			x = 570,
			y = 470,
			anim = "furniture/dishcart.anm",
			frame = 5,
		};
		
		AnimWindow
		{
			x = 630,
			y = 470,
			anim = "flo/lower.anm",
			frame = 5,
			flip = 1,
		};
		
		AnimWindow
		{
			x = 630,
			y = 470,
			anim = "flo/upper.anm",
			frame = 20,
			flip = 1,
		};
		
		Bitmap
		{
			x = 585,
			y = 420,
			image = "accessories/dirty_dishes"
		};
		
		Bitmap
		{
			x = 645,
			y = 420,
			image = "accessories/dirty_dishes"
		};
		
		
		
		Text
		{
			font = TitleFont,
			name = "title",
			x=0,y=30,w=kMax,h=80,
			flags = kHAlignCenter + kVAlignTop,
			label = "howtoplay"
		};
		
		SetStyle(HeaderStyle);
		
		Text
		{
			label = "help_takingorders",
			x = 63,
			y = 92,
		};
		
		Text
		{
			label = "help_servingfood",
			x = 389,
			y = 92,
		};
		
		Text
		{
			label = "help_givingchecks",
			x = 63,
			y = 333,
		};
		
		Text
		{
			label = "help_clearingdishes",
			x = 389,
			y = 333,
		};
		
		SetStyle(DescripStyle);
		
		Text
		{
			label = "help_takingorders_descrip1",
			x = 63,
			y = 132,
		};
		
		Text
		{
			label = "help_takingorders_descrip2",
			x = 63,
			y = 232,
		};
		
		Text
		{
			label = "help_servingfood_descrip1",
			x = 389,
			y = 132,
		};
		
		Text
		{
			label = "help_servingfood_descrip2",
			x = 389,
			y = 232,
		};
		
		Text
		{
			label = "help_givingchecks_descrip",
			x = 63,
			y = 365,
			w = 300
		};
		
		Text
		{
			label = "help_clearingdishes_descrip",
			x = 389,
			y = 365,
			w = 300
		};
		
		Text
		{
			label = "help_only2",
			font = Only2Font,
			x = 670,
			y = 439,
			w = 90
		};
		
		
		SetStyle(DefaultStyle);
		
		Button
		{
			x=kCenter,
			y=530,
			font = StandardButtonFont,
			graphics = StandardButtonGraphics,
			name="back",
			label="back",
			type = kPush,
			command=
				function()
					ActivateHelpClock(false);
					PopModal();
				end
		},
		
		
		Button
		{
			x=670,
			y=530,
			graphics = RightArrowGraphics,
			name="right",
			type = kPush,
			command=
				function()
					SwapToModalSetName("scripts/help3.lua");
				end
		},
		
		Button
		{
			x=45,
			y=530,
			graphics = LeftArrowGraphics,
			name="right",
			type = kPush,
			command=
				function()
					SwapToModalSetName("scripts/help1.lua");
				end
		},
			
	},
	
};

ActivateHelpClock(true);
