require( "scripts/style.lua" );


GameModeFont = {
  standardFont,
  35,
  BorderColor
};

InfoFont = {
  standardFont,
  18,
  BorderColor
};

BestScoreFont = {
  standardFont,
  14,
  BlackColor;
};


MapButtonGraphics = {
	"buttons/map_button_a",
	"buttons/map_button_b",
	"buttons/map_button_c"
};

MakeDialog
{
	Bitmap
	{
		name="backgroundimage",
		image="map/map",
		
		ChooseRestaurant
		{ 
			x=0,
			y=0,
			w=800,
			h=600,
				
			Button
			{
				x=650,
				y=10,
				font = StandardBorderButtonFont,
				graphics = MapButtonGraphics,
				name="back",
				label="back",
				xoffset=0,
				type = kPush,
				command=
					function()
						PopModal();
					end
			},
			
			Button
			{
				x=kCenter,
				y=550,
				font = StandardBorderButtonFont,
				graphics = MapButtonGraphics,
				name="play",
				label="play",
				type = kPush,
				xoffset=0,
				command=
					function()
						SetupGame();
						PopModal();
						SwapToModalSetName("scripts/game.lua");
					end
			},
			
			Bitmap
			{
				name="wreckingball1",
				image="map/bulldozer_a",
				x=275,
				y=323,
			},
			
			Bitmap
			{
				name="wreckingball2",
				image="map/bulldozer_b",
				x=320,
				y=325,
			},
			
			Bitmap
			{
				name="wreckingball3",
				image="map/bulldozer_c",
				x=295,
				y=315,
			},
			
			Bitmap
			{
				name="wreckingball4",
				image="map/bulldozer_d",
				x=260,
				y=310,
			},
			
			Bitmap
			{
				name="r1_a",
				image="map/rest1_a",
				x=37,
				y=168,
				
				
			},
			
			Bitmap
			{
				name="r1_b",
				image="map/rest1_b",
				x=37,
				y=168,
				
				
			},
			
			
			Bitmap
			{
				name="r2_a",
				image="map/rest2_a",
				x=455,
				y=135,
				
				
			},
			
			Bitmap
			{
				name="r2_b",
				image="map/rest2_b",
				x=455,
				y=135,
				
				
			},
			
			Bitmap
			{
				name="r3_a",
				image="map/rest3_a",
				x=512,
				y=362,
				
				
			},
			
			Bitmap
			{
				name="r3_b",
				image="map/rest3_b",
				x=512,
				y=362,
				
				
			},
			
			
			Bitmap
			{
				name="r4_a",
				image="map/rest4_a",
				x=0,
				y=358,
				
				
			},
			
			Bitmap
			{
				name="r4_b",
				image="map/rest4_b",
				x=0,
				y=358,
				
				
			},
			
			
			Bitmap
			{
				name="blimp",
				image="map/blimp",
				x = 20,
				y = 20
			},
			
			Bitmap
			{
				name="r5_a",
				image="map/rest5_a",
				x=230,
				y=0,
				
				
			},
			
			Bitmap
			{
				name="r5_b",
				image="map/rest5_b",
				x=230,
				y=0,
				
				
			},
			
			Bitmap
			{
				x = kCenter,
				y = 530,
				name="bestscoreimage",
				image = "map/map_high_score",
				Text
				{
					font = BestScoreFont,
					name="bestscore",
					label="bestscore",
					x=0,
					y=4,
					w=kMax,
					h=kMax,
					flags = kHAlignCenter + kVAlignCenter,
					padding = 0
				},
			},

			
			
		}
	},
	
	
};
