require( "scripts/style.lua" );



TitleFont = {
  standardFont,
  27,
  BlackColor
};

InfoFont = {
  standardFont,
  36,
  WhiteColor
};

Info2Font = {
  standardFont,
  28,
  WhiteColor
};

kInfoX = 379;
kInfoY = 210;
kInfoY2 = 300;
kInfoW = 250;
kInfoH = 212;

MakeDialog
{
	Bitmap
	{
		name="backgroundimage",
		image="upsell/background",
		x=0,y=0,w=kMax,h=kMax,
		
		Text
		{
			x = 0, y = 20, w = 800, h = kMax,
			flags = kHAlignCenter + kVAlignTop,
			name = "title",
			font = TitleFont,
			label = "upsell_title",
			padding = 1
		};
			
		Bitmap
		{	
			name = "group1",
			image="upsell/dd1",
			Text
			{
				x = kInfoX, y = kInfoY, w = kInfoW, h = kInfoH,
				flags = kHAlignLeft + kVAlignTop,
				name = "title",
				font = InfoFont,
				label = "upsell_1",
				padding = 1
			};
		};	
		
			
		Bitmap
		{
			name = "group2",
			image="upsell/dd2",
			Text
			{
				x = kInfoX, y = kInfoY, w = kInfoW, h = kInfoH,
				flags = kHAlignLeft + kVAlignTop,
				name = "title",
				font = InfoFont,
				label = "upsell_2",
				padding = 1
			};
			
			Text
			{
				x = kInfoX, y = kInfoY2, w = kInfoW, h = kInfoH,
				flags = kHAlignLeft + kVAlignTop,
				name = "title",
				font = Info2Font,
				label = "upsell_2_a",
				padding = 1
			};
		};
		
		Bitmap
		{
			name = "group3",
			image="upsell/dd3",
			Text
			{
				x = kInfoX, y = kInfoY, w = kInfoW, h = kInfoH,
				flags = kHAlignLeft + kVAlignTop,
				name = "title",
				font = InfoFont,
				label = "upsell_3",
				padding = 1
			};
			
			Text
			{
				x = kInfoX, y = kInfoY2, w = kInfoW, h = kInfoH,
				flags = kHAlignLeft + kVAlignTop,
				name = "title",
				font = Info2Font,
				label = "upsell_3_a",
				padding = 1
			};
		};	
		
		Button
		{
			x=25,
			y=520,
			font = StandardButtonFont,
			graphics = StandardButtonGraphics,
			name="back",
			label="back",
			type = kPush,
			command=
				function()
					KillUpsell();
					PopModal();
				end
		},
		
			
	},
	
};

CycleUpsell();