require( "scripts/style.lua" );


IntroFont = {
  standardFont,
  24,
  BorderColor
};

GoalFont = {
  standardFont,
  24,
  BorderColor
};

ExpertFont = {
  standardFont,
  24,
  BorderColor
};



MakeDialog
{
	LevelIntro
	{
		x=0,
		y=0,
		w=800,
		h=600,
		name="levelintrowin",
		
		Bitmap
		{
			name="introbackground",
			image="backgrounds/levelintro",
			x=kCenter,
			y=kCenter,
			
			Text
			{
				font = IntroFont,
				name = "endlessshiftintro",
				x=141,y=42,w=441,h=402,
				flags = kHAlignCenter + kVAlignCenter,
				label = "endlessshiftintro"
			};
			
			Text
			{
				font = IntroFont,
				name = "careerintro",
				x=141,y=42,w=441,h=290,
				flags = kHAlignCenter + kVAlignCenter,
				label = ""
			};
			
			Doodle
			{
				x = 0,
				y = 0,
				w = kMax,
				h = kMax,
				name = "doodle"
			};
			
			Text
			{
				font = GoalFont,
				name = "goal",
				x=121,y=435,w=481,h=40,
				flags = kHAlignCenter + kVAlignCenter,
				label = "goal"
			};
			
			Text
			{
				font = GoalFont,
				name = "expert",
				x=121,y=460,w=481,h=40,
				flags = kHAlignCenter + kVAlignCenter,
				label = "expert"
			};
			
			
			Button
			{
				x=275,
				y=-83,
				font = StandardButtonFont,
				graphics = StandardButtonGraphics,
				name="letsplay",
				label="letsplay",
				type = kPush,
				default = true,
				command=
					function()
						PauseGame(false);
					end
			},
			
		},
	}
	
}