require( "scripts/style.lua" );


ItemFont = {
  standardFont,
  16,
  BorderColor
};

InventoryFont = {
  standardFont,
  18,
  RedColor
};

InventoryHeaderFont = {
  standardFont,
  16,
  BorderColor
};

DescripFont = {
  standardFont,
  16,
  BorderColor
};

TitleFont = {
  standardFont,
  30,
  BorderColor
};


kIconDescripY = 250;
kIconDescripH = 70;
kIconDescripW = 150;



kInventoryLeftX = 124;
kInventoryRightX = 367;
kInventoryWidth = 211;
kInventoryH = 41;

kInventoryRow1Y = 319;
kInventoryRow2Y = 391;
kInventoryRow3Y = 473;

kInventoryRow1HeaderY = 293;
kInventoryRow2HeaderY = 368;
kInventoryRow3HeaderY = 448;

MakeDialog
{
		
	Bitmap
	{
		name="upgrades",
		image="backgrounds/levelintro",
		x=kCenter,
		y=kCenter,
		
		Bitmap
		{
			name="lines",
			image="backgrounds/upgrade_lines"
		},
		
		
		UpgradePicker
		{
			name="upgradepicker",
			
			x=0,
			y=0,
			w=kMax,
			h=kMax,

			Text
			{
				font = TitleFont,
				name = "title",
				x = 138,y=45,w=455,h=34,
				flags = kHAlignCenter + kVAlignCenter,
				label="shopforupgrades",
			};
			Text
			{
				font = DescripFont,
				name = "descrip",
				x=113,y=88,w=500,h=50,
				flags = kHAlignCenter + kVAlignTop,
				label = ""
			};
			
			Text
			{
				font = ItemFont,
				name = "item1",
				x=125,y=kIconDescripY,w=kIconDescripW,h=kIconDescripH,
				flags = kHAlignCenter + kVAlignTop,
				label = "item1",
				padding = 0
			};
			
			Text
			{
				font = ItemFont,
				name = "item2",
				x=275,y=kIconDescripY,w=kIconDescripW,h=kIconDescripH,
				flags = kHAlignCenter + kVAlignTop,
				label = "item1",
				padding = 0
			};
			
			Text
			{
				font = ItemFont,
				name = "item3",
				x=425,y=kIconDescripY,w=kIconDescripW,h=kIconDescripH,
				flags = kHAlignCenter + kVAlignTop,
				label = "item1",
				padding = 0
			};
			
			Text
			{
				font = InventoryHeaderFont,
				name = "drinksheader",
				x=kInventoryLeftX,y=kInventoryRow1HeaderY,w=kInventoryWidth,h=kInventoryH,
				flags = kHAlignCenter + kVAlignTop,
				label = "drinksheader"
			};
			
			Text
			{
				font = InventoryFont,
				name = "drinks",
				x=kInventoryLeftX,y=kInventoryRow1Y,w=kInventoryWidth,h=kInventoryH,
				flags = kHAlignCenter + kVAlignTop,
				label = "item1"
			};
			
			Text
			{
				font = InventoryHeaderFont,
				name = "podiumheader",
				x=kInventoryRightX,y=kInventoryRow1HeaderY,w=kInventoryWidth,h=kInventoryH,
				flags = kHAlignCenter + kVAlignTop,
				label = "podiumheader"
			};
			
			Text
			{
				font = InventoryFont,
				name = "podium",
				x=kInventoryRightX,y=kInventoryRow1Y,w=kInventoryWidth,h=kInventoryH,
				flags = kHAlignCenter + kVAlignTop,
				label = "item1"
			};
			
			Text
			{
				font = InventoryHeaderFont,
				name = "ovenheader",
				x=kInventoryLeftX,y=kInventoryRow2HeaderY,w=kInventoryWidth,h=kInventoryH,
				flags = kHAlignCenter + kVAlignTop,
				label = "ovenheader"
			};
			
			Text
			{
				font = InventoryFont,
				name = "oven",
				x=kInventoryLeftX,y=kInventoryRow2Y,w=kInventoryWidth,h=kInventoryH,
				flags = kHAlignCenter + kVAlignTop,
				label = "item1"
			};
			
			Text
			{
				font = InventoryHeaderFont,
				name = "benchheader",
				x=kInventoryRightX,y=kInventoryRow2HeaderY,w=kInventoryWidth,h=kInventoryH,
				flags = kHAlignCenter + kVAlignTop,
				label = "benchheader"
			};
			
			Text
			{
				font = InventoryFont,
				name = "bench",
				x=kInventoryRightX,y=kInventoryRow2Y,w=kInventoryWidth,h=kInventoryH,
				flags = kHAlignCenter + kVAlignTop,
				label = "item1"
			};
			
			Text
			{
				font = InventoryHeaderFont,
				name = "shoesheader",
				x=kInventoryLeftX,y=kInventoryRow3HeaderY,w=kInventoryWidth,h=kInventoryH,
				flags = kHAlignCenter + kVAlignTop,
				label = "shoesheader"
			};
			
			Text
			{
				font = InventoryFont,
				name = "shoes",
				x=kInventoryLeftX,y=kInventoryRow3Y,w=kInventoryWidth,h=kInventoryH,
				flags = kHAlignCenter + kVAlignTop,
				label = "item1"
			};
			
			Text
			{
				font = InventoryHeaderFont,
				name = "stereoheader",
				x=kInventoryRightX,y=kInventoryRow3HeaderY,w=kInventoryWidth,h=kInventoryH,
				flags = kHAlignCenter + kVAlignTop,
				label = "stereoheader"
			};
			
			Text
			{
				font = InventoryFont,
				name = "stereo",
				x=kInventoryRightX,y=kInventoryRow3Y,w=kInventoryWidth,h=kInventoryH,
				flags = kHAlignCenter + kVAlignTop,
				label = "item1"
			};
			
			
			Button
			{
				x=290,
				y=-97,
				font = StandardButtonFont,
				graphics = StandardButtonGraphics,
				name="continue",
				label="continue",
				scale = 0.72,
				type = kPush,
				command=
						function()
							ActivateUpgrade();
							PopModal();
							PauseGame(false);
						end
			},
		},
		
	},
	
}

SetupUpgradeScreen();